require_relative '../../test_helper'

describe Kekipsum::Base do

    subject { Kekipsum::Base }

    describe "reading from file" do

        it "must have a source" do
            subject.must_respond_to :source
        end

        it "must have the kek file as a source" do
            subject.source.must_be_instance_of String
        end

    end

    describe "splitting into lines" do

        it "must correctly split the file into lines" do
            subject.processed_source.must_be_instance_of Array
        end

    end

end
